Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.compress
Class CompressorType

    java.lang.Object
      org.crosswire.common.compress.CompressorType

All Implemented Interfaces:
  Serializable

    public abstract class CompressorType

extends Object
implements Serializable

An Enumeration of the possible Compressions.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static CompressorType` | `LZSS` Insert a sequence
`private String` | `name` The name of the CompressorType
`private static int` | `nextObj`
`private int` | `obj`
`private static long` | `serialVersionUID` Serialization ID
`private static CompressorType[]` | `VALUES`
`static CompressorType` | `ZIP` Delete a sequence.

Constructor Summary
`protected` | `CompressorType(String name)`

Method Summary
`static CompressorType` | `fromInteger(int i)` Lookup method to convert from an integer
`static CompressorType` | `fromString(String name)` Lookup method to convert from a String
`abstract Compressor` | `getCompressor(byte[] input)` Get a compressor.
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ZIP

    public static final CompressorType ZIP

  Delete a sequence.

### LZSS

    public static final CompressorType LZSS

  Insert a sequence

### name

    private String name

  The name of the CompressorType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final CompressorType[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### CompressorType

    protected CompressorType(String name)

Parameters:
  `name` - The name of the CompressorType

Method Detail

### getCompressor

    public abstract Compressor getCompressor(byte[] input)

  Get a compressor.

### fromString

    public static CompressorType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static CompressorType fromInteger(int i)

  Lookup method to convert from an integer

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD